org.apache.hadoop.hdfs.server.datanode

## Class DiskBalancer.VolumePair

- java.lang.Object
- - org.apache.hadoop.hdfs.server.datanode.DiskBalancer.VolumePair

- Enclosing class:
    org.apache.hadoop.hdfs.server.datanode.DiskBalancer

      public static class DiskBalancer.VolumePair
      extends Object

  Holds source and dest volumes UUIDs and their BasePaths that disk balancer will be operating against.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VolumePair(String sourceVolUuid, String sourceVolBasePath, String destVolUuid, String destVolBasePath)` Constructs a volume pair.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getDestVolBasePath()` Gets desitnation volume base path.
    `String` | `getDestVolUuid()` Gets destination volume UUID.
    `String` | `getSourceVolBasePath()` Gets source volume base path.
    `String` | `getSourceVolUuid()` Gets source volume UUID.
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VolumePair

          public VolumePair(String sourceVolUuid,
                            String sourceVolBasePath,
                            String destVolUuid,
                            String destVolBasePath)

      Constructs a volume pair.
      Parameters:
        `sourceVolUuid` - - Source Volume
        `sourceVolBasePath` - - Source Volume Base Path
        `destVolUuid` - - Destination Volume
        `destVolBasePath` - - Destination Volume Base Path

  - ### Method Detail

    - #### getSourceVolUuid

          public String getSourceVolUuid()

      Gets source volume UUID.
      Returns:
        UUID String

    - #### getSourceVolBasePath

          public String getSourceVolBasePath()

      Gets source volume base path.
      Returns:
        String

    - #### getDestVolUuid

          public String getDestVolUuid()

      Gets destination volume UUID.
      Returns:
        UUID String

    - #### getDestVolBasePath

          public String getDestVolBasePath()

      Gets desitnation volume base path.
      Returns:
        String

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.